<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Product List</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>
    <h1>Liste des produits</h1>
    <p th:each="p : ${products}"
       th:text="${p.title} + ': ' + ${p.price} + '€'"></p>
</body>
</html>